gstreamermm: Gst::AudioFormatInfo Class Reference

gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gst::AudioFormatInfo Class Reference

Information for an audio format. More...

Inheritance diagram for Gst::AudioFormatInfo:
[legend]

## Public Member Functions
virtual | ~AudioFormatInfo ()
| Defualt constructor. More...
GstAudioFormatInfo* | gobj ()
| Gets the underlying gobject. More...
const GstAudioFormatInfo* | gobj () const
| Gets the underlying gobject. More...
AudioFormat | get_format () const
void | set_format (const AudioFormat& value)
std::string | get_name () const
void | set_name (const std::string& value)
std::string | get_description () const
void | set_description (const std::string& value)
AudioFormatFlags | get_flags () const
void | set_flags (const AudioFormatFlags& value)

## Detailed Description

Information for an audio format.

## Constructor & Destructor Documentation

virtual Gst::AudioFormatInfo::~AudioFormatInfo | ( |  | ) |
| virtual

Defualt constructor.

## Member Function Documentation

std::string Gst::AudioFormatInfo::get_description | ( |  | ) | const

AudioFormatFlags Gst::AudioFormatInfo::get_flags | ( |  | ) | const

AudioFormat Gst::AudioFormatInfo::get_format | ( |  | ) | const

std::string Gst::AudioFormatInfo::get_name | ( |  | ) | const

GstAudioFormatInfo* Gst::AudioFormatInfo::gobj | ( |  | ) |
| inline

Gets the underlying gobject.

const GstAudioFormatInfo* Gst::AudioFormatInfo::gobj | ( |  | ) | const
| inline

Gets the underlying gobject.

void Gst::AudioFormatInfo::set_description | ( | const std::string & | value | ) |

void Gst::AudioFormatInfo::set_flags | ( | const AudioFormatFlags& | value | ) |

void Gst::AudioFormatInfo::set_format | ( | const AudioFormat& | value | ) |

void Gst::AudioFormatInfo::set_name | ( | const std::string & | value | ) |

The documentation for this class was generated from the following file:

- gstreamermm/audioformat.h